## octave-vrml 1.0.6

=== DESCRIPTION ===
Name: Vrml
Version: 1.0.6
Date: 2008-04-29
Author: Etienne Grossmann
Maintainer: Etienne Grossmann
Title: VRML.
Description: 3D graphics using VRML
Depends: octave (>= 2.9.7)
Autoload: yes
SystemRequirements: freewrl
License: GPL version 2 or later
Url: http://octave.sf.net

## octave-vrml 1.0.9

=== DESCRIPTION ===
Name: Vrml
Version: 1.0.9
Date: 2009-05-06
Author: Etienne Grossmann
Maintainer: Etienne Grossmann
Title: VRML.
Description: 3D graphics using VRML
Depends: octave (>= 2.9.7), miscellaneous, struct, statistics
Autoload: yes
SystemRequirements: freewrl
License: GPL version 2 or later and GFDL
Url: http://octave.sf.net

## octave-vrml 1.0.10

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: Vrml
-Version: 1.0.9
+Version: 1.0.10
 Date: 2009-05-06
 Author: Etienne Grossmann
 Maintainer: Etienne Grossmann

## octave-vrml 1.0.11

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Vrml
-Version: 1.0.10
-Date: 2009-05-06
+Version: 1.0.11
+Date: 2010-02-07
 Author: Etienne Grossmann
 Maintainer: Etienne Grossmann
 Title: VRML.

=== Makefile ===
sinclude ../../Makeconf


PKG_FILES = COPYING DESCRIPTION INDEX $(wildcard src/*) \
	$(wildcard inst/*) $(wilcard data/*) doc/*.pdf doc/*.tex \
	doc/*.lyx doc/Makefile $(wildcard doc/figures/*)
SUBDIRS = doc/

.PHONY: $(SUBDIRS)

pre-pkg::
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir all; \
	done

clean:
	@for _dir in $(SUBDIRS); do \
	  $(MAKE) -C $$_dir $(MAKECMDGOALS); \
	done

=== doc/Makefile ===
sinclude ../../../Makeconf

TEX = vrml-mini-howto-1.tex
PDF = $(patsubst %.tex,%.pdf,$(TEX))

all : $(PDF) html/index.html

%.pdf : %.tex
	latex $< > /dev/null 2>&1
	latex $< > /dev/null 2>&1
	$(DVIPDF) $(@:.pdf=.dvi)

# Note verbosity=0 as well as making latex2html quieter, has the side-effect
# of not including a url to the raw text, which it'll get wrong
html/index.html : $(TEX)
	latex2html -verbosity=0 -local_icons $<
	if [ -e "html" ]; then \
	  rm -fr html; \
	fi; \
	mv -f $(patsubst %.tex,%,$<) html

clean:
	rm -fr $(patsubst %.tex,%,$(TEX)) html *.log
	rm -f $(PDF) *~
	rm -f $(patsubst %.tex,%.aux,$(TEX))
	rm -f $(patsubst %.tex,%.out,$(TEX))
	rm -f $(patsubst %.tex,%.dvi,$(TEX))

=== debian/changelog ===
octave-vrml (1.0.11-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571872)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * Bump standards version to 3.8.4, no changes needed
  * Switch to dpkg-source 3.0 (quilt) format
  * Drop patch pass-tests-with-octave-3.2, applied upstream
  * New patches: 
    - remove_unused_files, removes unused files (taken from upstream
      SVN, r7266)
    - remove_broken_files, removes broken files (taken from upstream 
      SVN, r7267)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 01 May 2010 20:10:05 +0200

octave-vrml (1.0.10-2) unstable; urgency=low

  * Upload to unstable 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 13 Dec 2009 23:07:29 +0100

octave-vrml (1.0.10-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump standards version to 3.8.2, no changes needed
  * debian/patches/pass-tests-with-octave-3.2: new patch, lets tests pass
    with Octave 3.2; taken from upstream SVN
  * Use debian/octave-vrml.docs for installation of documentation and
    build-depend on octave-pkg-dev >= 0.7.1 for that

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 22 Jul 2009 18:07:13 +0200

octave-vrml (1.0.9-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    + (Standards-Version): Bump to 3.8.1 (add file debian/README.source)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/source.lintian-overrides: Add file for overriding Lintian
    warnings build-depends-without-arch-dep
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/patches/whitedune_for_freewrl: Add description
  * debian/rules: Remove unneeded documentation source files, which get
    wrongly installed in /usr/share/doc

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 23:07:12 +0200

octave-vrml (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 10 Apr 2009 23:32:06 +0200

octave-vrml (1.0.8-1) experimental; urgency=low

  * New upstream release
  * Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
    version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 14 Dec 2008 17:22:29 +0100

octave-vrml (1.0.6.4) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bumped Standards-Version to 3.8.0 (no changes
    needed)

  [ Thomas Weber ]
  * New patch: whitedune_for_freewrl: use whitedune instead of freewrl, the
    later is not packaged in Debian (closes: 499918)
  * debian/control: Add necessary dependencies for whitedune and dependencies
    used in the demos.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 29 Sep 2008 09:42:13 +0200

octave-vrml (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version

  [ Rafael Laboissiere ]
  * The source files vrml-mini-howto-1.tex and vrml-mini-howto-1.lyx of
    the PDF documentation distributed with the package are now included in
    the upstream tarball.  This makes the package DFSG-compliant (really,
    closes: #468531)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 13:20:55 +0000

octave-vrml (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468531)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Sat, 23 Feb 2008 20:19:40 +0100

=== debian/control ===
Source: octave-vrml
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <thomas.weber.mail@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 6), cdbs, octave-pkg-dev (>= 0.7.1)
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/vrml
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-vrml.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-vrml.git

Package: octave-vrml
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, octave-miscellaneous, octave-struct,
 octave-statistics, whitedune
Description: VRML functions for Octave
 This package provides functions to do 3D graphics using VRML in
 Octave a numerical computation software. It allows the visualization
 of sets of 3D points, 3D curves, surfaces, etc using Octave, in
 conjunction with the VRML browser FreeWRL.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/vrml-([\d.]+)\.tar\.gz\?download

## octave-vrml 1.0.13

=== DESCRIPTION ===
Name: Vrml
Version: 1.0.13
Date: 2012-06-18
Author: Etienne Grossmann <etienne@egdn.net>
Maintainer: Etienne Grossmann <etienne@egdn.net>
Title: VRML.
Description: 3D graphics using VRML
Depends: octave (>= 2.9.7), linear-algebra, miscellaneous, struct, statistics
Autoload: no
SystemRequirements: freewrl
License: GPLv3+, GFDL
Url: http://octave.sf.net

=== Makefile ===
--- 
+++ 
@@ -15,5 +15,10 @@
 
 clean:
 	@for _dir in $(SUBDIRS); do \
-	  $(MAKE) -C $$_dir $(MAKECMDGOALS); \
+	  $(MAKE) -C $$_dir clean ; \
 	done
+	find . \( -name \*~ -o -name \*.bak -o -name \#\* -o -name \.\#\* -\) -exec rm -f {} \;
+
+documentation:
+	make -C ./doc all
+

=== doc/Makefile ===
sinclude ../../../Makeconf

TEX = vrml-mini-howto-1.tex
PDF = $(patsubst %.tex,%.pdf,$(TEX))
DVIPDF = dvipdf

all : $(PDF)

%.pdf : %.tex
	if [ `which latex` ] && [ `which $(DVIPDF)` ] ; then \
		latex -interaction=nonstopmode $< > /dev/null 2>&1 ; \
		latex -interaction=nonstopmode $< > /dev/null 2>&1 ; \
		$(DVIPDF) $(@:.pdf=.dvi) ; \
	else \
		echo "Lacking programs to build doc. Skipping" ; \
	fi 

# Note verbosity=0 as well as making latex2html quieter, has the side-effect
# of not including a url to the raw text, which it'll get wrong
html/index.html : $(TEX)
	if [ -e `which latex2html` ] ; then \
		latex2html -verbosity=0 -local_icons $< ; \
		if [ -e "html" ]; then \
		  rm -fr html; \
		fi; \
		mv -f $(patsubst %.tex,%,$<) html ; \
	fi

clean:
	rm -fr $(patsubst %.tex,%,$(TEX)) html *.log
	rm -f $(patsubst %.tex,%.aux,$(TEX))
	rm -f $(patsubst %.tex,%.out,$(TEX))
	rm -f $(patsubst %.tex,%.dvi,$(TEX))

realclean:	clean
	rm -f $(PDF) *~

=== debian/changelog ===
octave-vrml (1.0.13-9) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * d/copyright: Update Source URL
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Repository URL
  * d/p/octave-9.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Feb 2024 04:40:59 -0300

octave-vrml (1.0.13-8) unstable; urgency=medium

  * d/control: Add versioned dependency on dh-octave (>= 1.2.5)

 -- Rafael Laboissière <rafael@debian.org>  Fri, 09 Dec 2022 04:23:58 -0300

octave-vrml (1.0.13-7) unstable; urgency=medium

  * d/rules: Honor option nodoc in DEB_BUILD_OPTIONS
  * d/copyright:
    + Accentuate my family name
    + Update Copyright years for debian/* files
  * Set upstream metadata fields: Archive.
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:20:54 -0300

octave-vrml (1.0.13-6) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Bump debhelper compatibitlity level to 13
  * d/u/metadata: New file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 31 Jul 2020 03:27:40 -0300

octave-vrml (1.0.13-5) unstable; urgency=medium

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control:
    + Add Rules-Requires-Root: no
    + Build-depend on texlive instead of texlive-latex-recommended
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:58:18 -0200

octave-vrml (1.0.13-4) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:40:02 -0200

octave-vrml (1.0.13-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

  [ Rafael Laboissiere ]
  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/p/autoload-yes: Remove patch (deprecated upstream)
  * d/control:
    + Bump Standards-Version to 4.1.3 (no changes needed)
    + Add Testsuite field
    + Use secure URIs in the Vcs-* fields
    + Use cgit instead of gitweb in Vcs-Browser URL

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:15:07 -0200

octave-vrml (1.0.13-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * d/copyright: ensure that all files have copyright information.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 19:12:13 +0200

octave-vrml (1.0.13-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.0.13
  * Drop patch remove_broken_files (applied upstream)
  * Drop patch remove_unused_files (applied upstream)
  * Refresh patch whitedune_for_freewrl for new upstream release
  * Drop patch structure_initialization (applied upstream)
  * Drop patch add_private_functions (fixed upstream)
  * Add patch autoload-yes
  * Build the HowTo documentation in PDF form
  * Drop the dependency on octave-linear-algebra
  * debian/copyright: Reflect upstream changes

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 19 Jun 2012 09:50:20 +0000

octave-vrml (1.0.11-3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/patches/order_boolean_operation: New patch
  * debian/patches/structure_initialization: New patch
  * debian/patches/add_private_functions: New patch
  * debian/rules: Do not install the empty data directory
  * debian/control: Depend on octave-linear-algebra

  [ Sébastien Villemot ]
  * Remove obsolete Lintian overrides for source package
  * debian/watch: use SourceForge redirector
  * debian/control: remove redundant dependencies
  * Register PDF documentation through doc-base

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 31 May 2012 18:20:17 +0200

octave-vrml (1.0.11-2) unstable; urgency=low

  * Adapt .gitignore
  * Bump the debhelper compatibility level to 9
  * Bump standards version to 3.9.3
  * Bump the build-dependency on octave-pkg-dev to >= 1.0.1
  * Add Sébastien Villemot to the list of Uploaders
  * debian/copyright: update using machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Thu, 22 Mar 2012 16:22:28 +0100

=== debian/control ===
Source: octave-vrml
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissière <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-octave,
               dh-octave (>= 1.2.5),
               texlive,
               ghostscript
Standards-Version: 4.6.2
Homepage: https://gnu-octave.github.io/packages/vrml/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-vrml.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-vrml
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-vrml
Architecture: all
Depends: ${misc:Depends}, ${octave:Depends}, whitedune
Description: VRML functions for Octave
 This package provides functions to do 3D graphics using VRML in
 Octave a numerical computation software. It allows the visualization
 of sets of 3D points, 3D curves, surfaces, etc using Octave, in
 conjunction with the VRML browser FreeWRL.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_ALWAYS_EXCLUDE = data

%:
	dh $@ --buildsystem=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	make -C doc
endif

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/vrml/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/vrml-(.+).tar.gz

## octave-vrml 1.0.14

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
-Name: Vrml
-Version: 1.0.13
-Date: 2012-06-18
+Name: vrml
+Version: 1.0.14
+Date: 2025-02-10
 Author: Etienne Grossmann <etienne@egdn.net>
 Maintainer: Etienne Grossmann <etienne@egdn.net>
 Title: VRML.

=== debian/changelog ===
octave-vrml (1.0.14-3) unstable; urgency=medium

  * d/control:
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.5 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Tighten Build-Depends to texlive-latex-base instead of the broad
      dependency on texlive
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Oct 2025 10:55:40 -0300

octave-vrml (1.0.14-2) unstable; urgency=medium

  * d/p/use-castle-model-viewer.patch: New patch
  * d/control: Depend on castle-model-viewer instead of whitedune
  * d/p/deprecated-functions.patch: New patch
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 12 Mar 2025 07:02:18 -0300

octave-vrml (1.0.14-1) unstable; urgency=medium

  * New upstream version 1.0.14
  * d/copyright: Reflect upstream changes
  * d/p/whitedune_for_freewrl: Drop patch (obsolete with latest upstream changes)
  * d/p/octave-9.patch: Drop patch (applied upstream)
  * d/rules: Delete empty documentation directory
  * d/control:
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
    + Bump Standards-Version to 4.7.1 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Feb 2025 13:55:55 -0300

=== debian/control ===
--- 
+++ 
@@ -8,19 +8,17 @@
            Mike Miller <mtmiller@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
-               dh-octave (>= 1.2.5),
-               texlive,
-               ghostscript
-Standards-Version: 4.6.2
+               ghostscript <!nodoc>,
+               texlive-latex-base
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/vrml/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-vrml.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-vrml
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-vrml
 Architecture: all
-Depends: ${misc:Depends}, ${octave:Depends}, whitedune
+Depends: ${misc:Depends}, ${octave:Depends}, castle-model-viewer
 Description: VRML functions for Octave
  This package provides functions to do 3D graphics using VRML in
  Octave a numerical computation software. It allows the visualization

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 override_dh_auto_build:
 	make -C doc
 endif
+
+execute_after_dh_installdeb:
+	rm -rf debian/octave-vrml/usr/share/octave/packages/vrml-*/doc

=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/vrml/
Matching-Pattern: https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/vrml-@ANY_VERSION@@ARCHIVE_EXT@
